@import 'bootstrap/dist/css/bootstrap.css';

html,
body,
#root {
  height: 100%;
  font-family: 'Montserrat', sans-serif;
  overflow: hidden;
}

:root {
  --primary: #118ab2;
  color-scheme: only light;
  --secondary: #40baec;
  --secondary-variant: #eff8fb;
  --tertiary: #cf4130;
  --monumento-tante-foto: #12aaff;
  --monumento-poche-foto: #973fff;
  --concorso: #fed169;
  --concorso-hover: rgba(254, 209, 105, 0.7);
  --concorso-shadow: #ffb200;
  --overlay: #e9f1f3;
  --success: #0b8927;
  --success-shadow: #06701f;
  --success-hover: #0aaf31;
  --colori-neutri-white: #ffffff;
  --colori-neutri-gray: #84a5bd;
  --colori-neutri-gray-2: #d0dfe4;
  --colori-neutri-dark-gray: #4a4a4a;
  --colori-neutri-background: #fbfbfb;
  --topbar-mobile-height: 45px;
  --topbar-desktop-height: 53px;
  --bottom-mobile-navigation-height: 60px;
  --bottom-desktop-navigation-height: 83px;
  --font-roboto-slab: 'Roboto Slab', serif;
  --font-monsterrat: 'Montserrat', sans-serif;
  --toastify-color-danger: #cf4130 !important;
}

.block-content {
  height: calc(
    100% - var(--topbar-mobile-height) - var(--bottom-mobile-navigation-height)
  );
  margin-top: var(--topbar-mobile-height);
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.block-content-desktop {
  height: calc(100% - var(--topbar-desktop-height));
  margin-top: var(--topbar-desktop-height);
  position: relative;
  overflow: hidden;
  background: var(--primary);
  padding: 16px;
}

.no-link {
  text-decoration: none;
  color: inherit;
}

.pointer {
  cursor: pointer;
}

.flex-1 {
  flex: 1;
}

.swiper-pagination-fraction,
.swiper-pagination-custom,
.swiper-horizontal > .swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal {
  position: relative;
  margin-top: 20px;
}

.swiper-pagination-bullet-active {
  background: var(--primary);
}

.ol-layer > canvas {
  border-radius: 30px;
}

.loader {
  width: 30px;
  height: 30px;
  margin: auto;
  position: relative;
}

.loader:before {
  content: '';
  width: 30px;
  height: 5px;
  background: var(--concorso);
  position: absolute;
  top: 42px;
  left: 0;
  border-radius: 50%;
  animation: shadow324 0.5s linear infinite;
}

.loader:after {
  content: '';
  width: 100%;
  height: 100%;
  background: var(--primary);
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 4px;
  animation: jump7456 0.5s linear infinite;
}

@keyframes jump7456 {
  15% {
    border-bottom-right-radius: 3px;
  }

  25% {
    transform: translateY(9px) rotate(22.5deg);
  }

  50% {
    transform: translateY(18px) scale(1, 0.9) rotate(45deg);
    border-bottom-right-radius: 40px;
  }

  75% {
    transform: translateY(9px) rotate(67.5deg);
  }

  100% {
    transform: translateY(0) rotate(90deg);
  }
}

@keyframes shadow324 {
  0%,
  100% {
    transform: scale(1, 1);
  }

  50% {
    transform: scale(1.2, 1);
  }
}

.button-close-slides-mobile {
  position: absolute;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  width: 44px;
  height: 44px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 30px;
  background: var(--colori-neutri-white);
  box-shadow: 2px 2px 4px 0px rgba(0, 0, 0, 0.25);
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
}

.button-close-slides {
  position: absolute;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  width: 44px;
  height: 44px;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 30px;
  background: var(--colori-neutri-white);
  box-shadow: 2px 2px 4px 0px rgba(0, 0, 0, 0.25);
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
}

.button-close-slides:hover {
  background: rgba(17, 138, 178, 0.8);
  cursor: pointer;
}

.pagination-container-onboarding {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0px;
  margin-bottom: 16px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 12%;
  color: white;
  cursor: pointer;
  z-index: 999;
}

.slider-next-arrow {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  z-index: 999;
  cursor: pointer;
}

.slider-prev-arrow {
  position: absolute;
  top: 50%;
  left: 20px;
  transform: translateY(-50%);
  z-index: 999;
  cursor: pointer;
}

.ol-attribution {
  left: 5px !important;
  position: absolute !important;
  width: max-content;
  bottom: 0px !important;
  padding-left: 10px !important;
}

.ol-zoom {
  position: relative;
}

.mobile-version .ol-attribution {
  left: 0px !important;
}

.ol-scale-line {
  bottom: 30px;
}

.SlideDesktop {
  border-radius: 30px;
  background: var(--Colori-Neutri-White, #fff);
  width: 100%;
  height: 100%;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  color: var(--primary);
}

.SlideMobile {
  border-radius: 15px;
  background: #fff;
  width: 100%;
  height: 100%;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  color: var(--primary);
  padding: 32px;
}

.TitleSlideMobile {
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  color: var(--primary);
}

.TitleSlideMobileWithBorder{
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  color: var(--primary);
  border-bottom: 1px solid var(--primary);
  padding-bottom: 8px;
  margin-bottom: 8px;
}

.SubtitleSlideMobile {
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  color: var(--primary);
}

.TitleSlideDesktop {
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  color: var(--primary);
}

.SubtitleSlideDesktop {
  font-size: 24px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  color: var(--primary);
}

p > .btn-donate {
  margin-top: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-donate {
  background: var(--concorso);
  color: black;
  border-radius: 30px;
  padding: 10px 20px;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
  text-align: center;
  cursor: pointer;
}

.btn-donate:hover {
  background: var(--concorso-hover);
}
